Package com.avaya.clientservices.collaboration

## Class CollaborationFailure

- java.lang.Object
- - com.avaya.clientservices.collaboration.CollaborationFailure

-     public class CollaborationFailure
      extends java.lang.Object

  CollaborationFailure represents collaboration related failure information.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationFailure​(java.lang.String protocolReason, int protocolErrorCode, CollaborationError failureReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CollaborationError` | `getFailureReason()` | The reason string from the underlying signaling protocol.
    `int` | `getProtocolErrorCode()` | The error code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolReason()` | The reason for the collaboration failure.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationFailure

          public CollaborationFailure​(java.lang.String protocolReason,
                                      int protocolErrorCode,
                                      CollaborationError failureReason)

  - ### Method Detail

    - #### getProtocolReason

          public java.lang.String getProtocolReason()

      The reason for the collaboration failure.
      Returns:
        protocol reason.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      The error code from the underlying signaling protocol.
      Returns:
        protocol error code.

    - #### getFailureReason

          public CollaborationError getFailureReason()

      The reason string from the underlying signaling protocol.
      Returns:
        failure reason.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`